<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:body> 
        <div class="container">
            <h2>#{msgs.questionText} </h2>       
            <h:form>


                <h:inputText id="questionText" 
                             value="#{surveyBackBean.question.questionText}"
                             required="true"
                             requiredMessage="#{msgs.required}"                                 
                             style="width:300px">
                    <f:validateLength maximum="100" />
                    <f:ajax event="blur" render="questionTextError" />
                </h:inputText>
                <h:message id="questionTextError" for="questionText" style="color:red" />


                <h:commandLink
                    action="#{surveyBackBean.saveQuestion()}"
                    styleClass="btn btn-primary">
                    <i class="glyphicon glyphicon-edit"></i>
                </h:commandLink>


            </h:form>

            <h:form>

                <h:inputText id="answerText" 
                             value="#{surveyBackBean.answerText}"
                             required="true"
                             requiredMessage="#{msgs.required}"
                             a:placeholder="#{msgs.addAnswerHint}"
                             style="width:300px">
                    <f:validateLength maximum="50" />
                    <f:ajax event="blur" render="answerTextError" />
                </h:inputText>
                <h:message id="answerTextError" for="questionText" style="color:red" />
                <br/>
                <h:inputText id="answerText1" 
                             value="#{surveyBackBean.answerText1}"                             
                             requiredMessage="#{msgs.required}"
                             a:placeholder="#{msgs.addAnswerHint}"
                             style="width:300px">
                    
                </h:inputText>
                 <br/>
                <h:inputText id="answerText2" 
                             value="#{surveyBackBean.answerText2}"                             
                             requiredMessage="#{msgs.required}"
                             a:placeholder="#{msgs.addAnswerHint}"
                             style="width:300px">
                    
                </h:inputText>
                  <br/>
                <h:inputText id="answerText3" 
                             value="#{surveyBackBean.answerText3}"                             
                             requiredMessage="#{msgs.required}"
                             a:placeholder="#{msgs.addAnswerHint}"
                             style="width:300px">
                    
                </h:inputText>
               
                <h:commandLink
                    action="#{surveyBackBean.addAnswerToQuestion()}"
                    styleClass="btn btn-primary">
                    <i class="glyphicon glyphicon-plus"></i>
                </h:commandLink>

            </h:form>




        </div>
    </h:body>
</html>
